//Source file: AbortMultipleCallsEvent.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the abortMultipleCalls() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AbortMultipleCallsEvent extends java.util.EventObject {

    /**
     * Constructor for the AbortMultipleCallsEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AbortMultipleCallsEvent(java.lang.Object source,
        int[]                           callReferenceSet) {

        super(source);
      this.callReferenceSet = callReferenceSet;
 
    }

    int[]                           callReferenceSet;

    /**
     *  This method is used to retrieve the parameter value of 'callReferenceSet' passed up
     *  from the Gateway in it's call to the abortMultipleCalls() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'callReferenceSet' used on creation of this event.
     */
    public int[] getCallReferenceSet() {

        return this.callReferenceSet;
    }
       
}

