//Source file: GetCallInfoResEvent.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getCallInfoRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetCallInfoResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetCallInfoResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetCallInfoResEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.CallInfoReport callInfoReport) {

        super(source);
      this.callInfoReport = callInfoReport;
 
    }

    org.csapi.jr.se.cc.gccs.CallInfoReport callInfoReport;

    /**
     *  This method is used to retrieve the parameter value of 'callInfoReport' passed up
     *  from the Gateway in it's call to the getCallInfoRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'callInfoReport' used on creation of this event.
     */
    public org.csapi.jr.se.cc.gccs.CallInfoReport getCallInfoReport() {

        return this.callInfoReport;
    }
       
}

